import 'package:flutter/material.dart';

/// 水平间隔
const Widget hGap2 = SizedBox(width: 2.0);
const Widget hGap4 = SizedBox(width: 4.0);
const Widget hGap5 = SizedBox(width: 5.0);
const Widget hGap8 = SizedBox(width: 8.0);
const Widget hGap10 = SizedBox(width: 10.0);
const Widget hGap12 = SizedBox(width: 12.0);
const Widget hGap14 = SizedBox(width: 14.0);
const Widget hGap15 = SizedBox(width: 15.0);
const Widget hGap16 = SizedBox(width: 16.0);
const Widget hGap20 = SizedBox(width: 20.0);
const Widget hGap32 = SizedBox(width: 32.0);
const Widget hGap40 = SizedBox(width: 40.0);
const Widget hGap50 = SizedBox(width: 50.0);
const Widget hGap60 = SizedBox(width: 60.0);
const Widget hGap65 = SizedBox(width: 65.0);
const Widget hGap110 = SizedBox(width: 110.0);

/// 垂直间隔
const Widget vGap1 = SizedBox(height: 1.0);
const Widget vGap2 = SizedBox(height: 2.0);
const Widget vGap3 = SizedBox(height: 3.0);
const Widget vGap4 = SizedBox(height: 4.0);
const Widget vGap5 = SizedBox(height: 5.0);
const Widget vGap8 = SizedBox(height: 8.0);
const Widget vGap10 = SizedBox(height: 10.0);
const Widget vGap12 = SizedBox(height: 12.0);
const Widget vGap15 = SizedBox(height: 15.0);
const Widget vGap16 = SizedBox(height: 16.0);
const Widget vGap20 = SizedBox(height: 20.0);
const Widget vGap24 = SizedBox(height: 24.0);
const Widget vGap25 = SizedBox(height: 25.0);
const Widget vGap30 = SizedBox(height: 30.0);
const Widget vGap32 = SizedBox(height: 32.0);
const Widget vGap50 = SizedBox(height: 50.0);
const Widget vGap60 = SizedBox(height: 60.0);
const Widget vGap70 = SizedBox(height: 70.0);
const Widget vGap80 = SizedBox(height: 80.0);
const Widget vGap150 = SizedBox(height: 150.0);

Widget line({height = 1.0, Color? color}) =>
    Divider(height: height, color: color, thickness: height);

Widget vLine({double? width, double? height, Color? color}) => SizedBox(
      width: width ?? 1.0,
      height: height ?? 24.0,
      child: VerticalDivider(
          width: width ?? 1.0, thickness: width ?? 1.0, color: color),
    );

const Widget empty = SizedBox.shrink();
